Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1227045 - [RFE] Filtering of Service Catalog items during deployment
[RFE] Filtering of Service Catalog items during deployment
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate (Show other bugs)
5.5.0
All Unspecified
low Severity low
: GA
: 5.5.0
Assigned To: mkanoor
Milan Falešník
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-01 15:29 EDT by mkanoor
Modified: 2015-12-08 08:14 EST (History)
6 users (show)

See Also:
Fixed In Version: 5.5.0.7
Doc Type: Enhancement
Doc Text:
The new version of CloudForms Management Engine adds the ability to filter service catalog items during deployment. The new deployment model allows the service designer to factor in the dynamic nature of the deployment process, where the user can select a sub-set of services. Automate will exclude all other catalog service items during deployment.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:14:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2551 normal SHIPPED_LIVE Moderate: CFME 5.5.0 bug fixes and enhancement update 2015-12-08 12:58:09 EST

  None (edit)
Description mkanoor 2015-06-01 15:29:44 EDT
Description of problem:
From a bundle of catalog items at deployment time the user would like to deploy specific items based on user selection.
More details here
http://cloudformsnow.com/2014/10/11/service-item-selection/

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
At deployment time using an Automate Method we should be able to exclude service items from getting deployed.

Additional info:
Comment 5 CFME Bot 2015-08-19 19:02:17 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/c0a928781577878a3b89549c4c68f58e5304472f

commit c0a928781577878a3b89549c4c68f58e5304472f
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Tue Jul 21 15:38:39 2015 -0400
Commit:     Madhu Kanoor <mkanoor@redhat.com>
CommitDate: Tue Jul 21 15:38:39 2015 -0400

    Moved the spec file to the spec/models directory
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1227045

 spec/models/service_template_filter_spec.rb      | 51 ++++++++++++++++++++++++
 vmdb/spec/models/service_template_filter_spec.rb | 51 ------------------------
 2 files changed, 51 insertions(+), 51 deletions(-)
 create mode 100644 spec/models/service_template_filter_spec.rb
 delete mode 100644 vmdb/spec/models/service_template_filter_spec.rb
Comment 6 CFME Bot 2015-08-19 19:02:20 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/a6dc83b694e100b11093ccb245caa143ebb4b029

commit a6dc83b694e100b11093ccb245caa143ebb4b029
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Tue Jul 21 16:34:15 2015 -0400
Commit:     Madhu Kanoor <mkanoor@redhat.com>
CommitDate: Tue Jul 21 16:34:15 2015 -0400

    Missing instance was in the incorrect namespace.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1227045

 .../Cloud/VM/Provisioning/Profile.class/_missing.yaml        | 12 ------------
 .../Service/Provisioning/Profile.class/_missing.yaml         |  4 +++-
 2 files changed, 3 insertions(+), 13 deletions(-)
 delete mode 100644 db/fixtures/ae_datastore/ManageIQ/Cloud/VM/Provisioning/Profile.class/_missing.yaml
Comment 7 CFME Bot 2015-08-19 19:02:23 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/1a9e5f68ce74a9a31b2a39e2a60e08d3f589ef83

commit 1a9e5f68ce74a9a31b2a39e2a60e08d3f589ef83
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Wed Jul 22 10:27:49 2015 -0400
Commit:     Madhu Kanoor <mkanoor@redhat.com>
CommitDate: Wed Jul 22 10:27:49 2015 -0400

    Moved files out of vmdb
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1227045

 .../ServiceFilter.class/__class__.yaml             | 33 +++++++++
 .../__methods__/filterbydialogparameters.rb        | 72 ++++++++++++++++++++
 .../__methods__/filterbydialogparameters.yaml      | 12 ++++
 .../filterbydialogparameters.yaml                  | 12 ++++
 .../Request.class/service_provision_info.yaml      | 12 ++++
 .../filter_by_dialog_parameters_spec.rb            | 79 ++++++++++++++++++++++
 .../ServiceFilter.class/__class__.yaml             | 33 ---------
 .../__methods__/filterbydialogparameters.rb        | 72 --------------------
 .../__methods__/filterbydialogparameters.yaml      | 12 ----
 .../filterbydialogparameters.yaml                  | 12 ----
 .../Request.class/service_provision_info.yaml      | 12 ----
 .../filter_by_dialog_parameters_spec.rb            | 79 ----------------------
 12 files changed, 220 insertions(+), 220 deletions(-)
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/Service/Provisioning/ServiceFilter.class/__class__.yaml
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/Service/Provisioning/ServiceFilter.class/__methods__/filterbydialogparameters.rb
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/Service/Provisioning/ServiceFilter.class/__methods__/filterbydialogparameters.yaml
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/Service/Provisioning/ServiceFilter.class/filterbydialogparameters.yaml
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/Request.class/service_provision_info.yaml
 create mode 100644 spec/automation/unit/method_validation/filter_by_dialog_parameters_spec.rb
 delete mode 100644 vmdb/db/fixtures/ae_datastore/ManageIQ/Service/Provisioning/ServiceFilter.class/__class__.yaml
 delete mode 100644 vmdb/db/fixtures/ae_datastore/ManageIQ/Service/Provisioning/ServiceFilter.class/__methods__/filterbydialogparameters.rb
 delete mode 100644 vmdb/db/fixtures/ae_datastore/ManageIQ/Service/Provisioning/ServiceFilter.class/__methods__/filterbydialogparameters.yaml
 delete mode 100644 vmdb/db/fixtures/ae_datastore/ManageIQ/Service/Provisioning/ServiceFilter.class/filterbydialogparameters.yaml
 delete mode 100644 vmdb/db/fixtures/ae_datastore/ManageIQ/System/Request.class/service_provision_info.yaml
 delete mode 100644 vmdb/spec/automation/unit/method_validation/filter_by_dialog_parameters_spec.rb
Comment 8 CFME Bot 2015-08-19 19:02:32 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/0a8f392325e00ff1d7d0d95040411437b4463487

commit 0a8f392325e00ff1d7d0d95040411437b4463487
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Tue Aug 18 15:05:38 2015 -0400
Commit:     Madhu Kanoor <mkanoor@redhat.com>
CommitDate: Tue Aug 18 15:05:38 2015 -0400

    PR Review based changes
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1227045

 app/models/service_template_filter.rb                            | 8 ++++----
 .../ServiceFilter.class/__methods__/filterbydialogparameters.rb  | 9 ---------
 .../unit/method_validation/filter_by_dialog_parameters_spec.rb   | 8 ++++----
 spec/models/service_template_filter_spec.rb                      | 2 +-
 spec/support/service_template_helper.rb                          | 2 +-
 5 files changed, 10 insertions(+), 19 deletions(-)
Comment 9 CFME Bot 2015-08-19 19:02:34 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/b820b8401c2dbf1d39e6ec47349e750a6fd79e95

commit b820b8401c2dbf1d39e6ec47349e750a6fd79e95
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Wed Aug 19 09:43:39 2015 -0400
Commit:     Madhu Kanoor <mkanoor@redhat.com>
CommitDate: Wed Aug 19 09:43:39 2015 -0400

    Moved file into service_template directory
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1227045

 app/models/service_template/filter.rb | 29 +++++++++++++++++++++++++++++
 app/models/service_template_filter.rb | 29 -----------------------------
 2 files changed, 29 insertions(+), 29 deletions(-)
 create mode 100644 app/models/service_template/filter.rb
 delete mode 100644 app/models/service_template_filter.rb
Comment 10 CFME Bot 2015-08-19 19:02:37 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/d2518a3b565a200e2907686220459a409fef62a6

commit d2518a3b565a200e2907686220459a409fef62a6
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Wed Aug 19 09:55:59 2015 -0400
Commit:     Madhu Kanoor <mkanoor@redhat.com>
CommitDate: Wed Aug 19 09:55:59 2015 -0400

    Changed to use include_concern
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1227045

 app/models/service_template.rb        | 2 +-
 app/models/service_template/filter.rb | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)
Comment 11 CFME Bot 2015-08-19 20:31:54 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/c0a928781577878a3b89549c4c68f58e5304472f

commit c0a928781577878a3b89549c4c68f58e5304472f
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Tue Jul 21 15:38:39 2015 -0400
Commit:     Madhu Kanoor <mkanoor@redhat.com>
CommitDate: Tue Jul 21 15:38:39 2015 -0400

    Moved the spec file to the spec/models directory
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1227045

 spec/models/service_template_filter_spec.rb      | 51 ++++++++++++++++++++++++
 vmdb/spec/models/service_template_filter_spec.rb | 51 ------------------------
 2 files changed, 51 insertions(+), 51 deletions(-)
 create mode 100644 spec/models/service_template_filter_spec.rb
 delete mode 100644 vmdb/spec/models/service_template_filter_spec.rb
Comment 12 CFME Bot 2015-08-19 20:31:57 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/a6dc83b694e100b11093ccb245caa143ebb4b029

commit a6dc83b694e100b11093ccb245caa143ebb4b029
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Tue Jul 21 16:34:15 2015 -0400
Commit:     Madhu Kanoor <mkanoor@redhat.com>
CommitDate: Tue Jul 21 16:34:15 2015 -0400

    Missing instance was in the incorrect namespace.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1227045

 .../Cloud/VM/Provisioning/Profile.class/_missing.yaml        | 12 ------------
 .../Service/Provisioning/Profile.class/_missing.yaml         |  4 +++-
 2 files changed, 3 insertions(+), 13 deletions(-)
 delete mode 100644 db/fixtures/ae_datastore/ManageIQ/Cloud/VM/Provisioning/Profile.class/_missing.yaml
Comment 13 CFME Bot 2015-08-19 20:32:00 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/1a9e5f68ce74a9a31b2a39e2a60e08d3f589ef83

commit 1a9e5f68ce74a9a31b2a39e2a60e08d3f589ef83
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Wed Jul 22 10:27:49 2015 -0400
Commit:     Madhu Kanoor <mkanoor@redhat.com>
CommitDate: Wed Jul 22 10:27:49 2015 -0400

    Moved files out of vmdb
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1227045

 .../ServiceFilter.class/__class__.yaml             | 33 +++++++++
 .../__methods__/filterbydialogparameters.rb        | 72 ++++++++++++++++++++
 .../__methods__/filterbydialogparameters.yaml      | 12 ++++
 .../filterbydialogparameters.yaml                  | 12 ++++
 .../Request.class/service_provision_info.yaml      | 12 ++++
 .../filter_by_dialog_parameters_spec.rb            | 79 ++++++++++++++++++++++
 .../ServiceFilter.class/__class__.yaml             | 33 ---------
 .../__methods__/filterbydialogparameters.rb        | 72 --------------------
 .../__methods__/filterbydialogparameters.yaml      | 12 ----
 .../filterbydialogparameters.yaml                  | 12 ----
 .../Request.class/service_provision_info.yaml      | 12 ----
 .../filter_by_dialog_parameters_spec.rb            | 79 ----------------------
 12 files changed, 220 insertions(+), 220 deletions(-)
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/Service/Provisioning/ServiceFilter.class/__class__.yaml
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/Service/Provisioning/ServiceFilter.class/__methods__/filterbydialogparameters.rb
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/Service/Provisioning/ServiceFilter.class/__methods__/filterbydialogparameters.yaml
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/Service/Provisioning/ServiceFilter.class/filterbydialogparameters.yaml
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/Request.class/service_provision_info.yaml
 create mode 100644 spec/automation/unit/method_validation/filter_by_dialog_parameters_spec.rb
 delete mode 100644 vmdb/db/fixtures/ae_datastore/ManageIQ/Service/Provisioning/ServiceFilter.class/__class__.yaml
 delete mode 100644 vmdb/db/fixtures/ae_datastore/ManageIQ/Service/Provisioning/ServiceFilter.class/__methods__/filterbydialogparameters.rb
 delete mode 100644 vmdb/db/fixtures/ae_datastore/ManageIQ/Service/Provisioning/ServiceFilter.class/__methods__/filterbydialogparameters.yaml
 delete mode 100644 vmdb/db/fixtures/ae_datastore/ManageIQ/Service/Provisioning/ServiceFilter.class/filterbydialogparameters.yaml
 delete mode 100644 vmdb/db/fixtures/ae_datastore/ManageIQ/System/Request.class/service_provision_info.yaml
 delete mode 100644 vmdb/spec/automation/unit/method_validation/filter_by_dialog_parameters_spec.rb
Comment 14 CFME Bot 2015-08-19 20:32:09 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/0a8f392325e00ff1d7d0d95040411437b4463487

commit 0a8f392325e00ff1d7d0d95040411437b4463487
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Tue Aug 18 15:05:38 2015 -0400
Commit:     Madhu Kanoor <mkanoor@redhat.com>
CommitDate: Tue Aug 18 15:05:38 2015 -0400

    PR Review based changes
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1227045

 app/models/service_template_filter.rb                            | 8 ++++----
 .../ServiceFilter.class/__methods__/filterbydialogparameters.rb  | 9 ---------
 .../unit/method_validation/filter_by_dialog_parameters_spec.rb   | 8 ++++----
 spec/models/service_template_filter_spec.rb                      | 2 +-
 spec/support/service_template_helper.rb                          | 2 +-
 5 files changed, 10 insertions(+), 19 deletions(-)
Comment 15 CFME Bot 2015-08-19 20:32:12 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/b820b8401c2dbf1d39e6ec47349e750a6fd79e95

commit b820b8401c2dbf1d39e6ec47349e750a6fd79e95
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Wed Aug 19 09:43:39 2015 -0400
Commit:     Madhu Kanoor <mkanoor@redhat.com>
CommitDate: Wed Aug 19 09:43:39 2015 -0400

    Moved file into service_template directory
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1227045

 app/models/service_template/filter.rb | 29 +++++++++++++++++++++++++++++
 app/models/service_template_filter.rb | 29 -----------------------------
 2 files changed, 29 insertions(+), 29 deletions(-)
 create mode 100644 app/models/service_template/filter.rb
 delete mode 100644 app/models/service_template_filter.rb
Comment 16 CFME Bot 2015-08-19 20:32:15 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/d2518a3b565a200e2907686220459a409fef62a6

commit d2518a3b565a200e2907686220459a409fef62a6
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Wed Aug 19 09:55:59 2015 -0400
Commit:     Madhu Kanoor <mkanoor@redhat.com>
CommitDate: Wed Aug 19 09:55:59 2015 -0400

    Changed to use include_concern
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1227045

 app/models/service_template.rb        | 2 +-
 app/models/service_template/filter.rb | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)
Comment 17 CFME Bot 2015-08-19 21:48:44 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/c0a928781577878a3b89549c4c68f58e5304472f

commit c0a928781577878a3b89549c4c68f58e5304472f
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Tue Jul 21 15:38:39 2015 -0400
Commit:     Madhu Kanoor <mkanoor@redhat.com>
CommitDate: Tue Jul 21 15:38:39 2015 -0400

    Moved the spec file to the spec/models directory
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1227045

 spec/models/service_template_filter_spec.rb      | 51 ++++++++++++++++++++++++
 vmdb/spec/models/service_template_filter_spec.rb | 51 ------------------------
 2 files changed, 51 insertions(+), 51 deletions(-)
 create mode 100644 spec/models/service_template_filter_spec.rb
 delete mode 100644 vmdb/spec/models/service_template_filter_spec.rb
Comment 18 CFME Bot 2015-08-19 21:48:47 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/a6dc83b694e100b11093ccb245caa143ebb4b029

commit a6dc83b694e100b11093ccb245caa143ebb4b029
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Tue Jul 21 16:34:15 2015 -0400
Commit:     Madhu Kanoor <mkanoor@redhat.com>
CommitDate: Tue Jul 21 16:34:15 2015 -0400

    Missing instance was in the incorrect namespace.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1227045

 .../Cloud/VM/Provisioning/Profile.class/_missing.yaml        | 12 ------------
 .../Service/Provisioning/Profile.class/_missing.yaml         |  4 +++-
 2 files changed, 3 insertions(+), 13 deletions(-)
 delete mode 100644 db/fixtures/ae_datastore/ManageIQ/Cloud/VM/Provisioning/Profile.class/_missing.yaml
Comment 19 CFME Bot 2015-08-19 21:48:50 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/1a9e5f68ce74a9a31b2a39e2a60e08d3f589ef83

commit 1a9e5f68ce74a9a31b2a39e2a60e08d3f589ef83
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Wed Jul 22 10:27:49 2015 -0400
Commit:     Madhu Kanoor <mkanoor@redhat.com>
CommitDate: Wed Jul 22 10:27:49 2015 -0400

    Moved files out of vmdb
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1227045

 .../ServiceFilter.class/__class__.yaml             | 33 +++++++++
 .../__methods__/filterbydialogparameters.rb        | 72 ++++++++++++++++++++
 .../__methods__/filterbydialogparameters.yaml      | 12 ++++
 .../filterbydialogparameters.yaml                  | 12 ++++
 .../Request.class/service_provision_info.yaml      | 12 ++++
 .../filter_by_dialog_parameters_spec.rb            | 79 ++++++++++++++++++++++
 .../ServiceFilter.class/__class__.yaml             | 33 ---------
 .../__methods__/filterbydialogparameters.rb        | 72 --------------------
 .../__methods__/filterbydialogparameters.yaml      | 12 ----
 .../filterbydialogparameters.yaml                  | 12 ----
 .../Request.class/service_provision_info.yaml      | 12 ----
 .../filter_by_dialog_parameters_spec.rb            | 79 ----------------------
 12 files changed, 220 insertions(+), 220 deletions(-)
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/Service/Provisioning/ServiceFilter.class/__class__.yaml
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/Service/Provisioning/ServiceFilter.class/__methods__/filterbydialogparameters.rb
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/Service/Provisioning/ServiceFilter.class/__methods__/filterbydialogparameters.yaml
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/Service/Provisioning/ServiceFilter.class/filterbydialogparameters.yaml
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/Request.class/service_provision_info.yaml
 create mode 100644 spec/automation/unit/method_validation/filter_by_dialog_parameters_spec.rb
 delete mode 100644 vmdb/db/fixtures/ae_datastore/ManageIQ/Service/Provisioning/ServiceFilter.class/__class__.yaml
 delete mode 100644 vmdb/db/fixtures/ae_datastore/ManageIQ/Service/Provisioning/ServiceFilter.class/__methods__/filterbydialogparameters.rb
 delete mode 100644 vmdb/db/fixtures/ae_datastore/ManageIQ/Service/Provisioning/ServiceFilter.class/__methods__/filterbydialogparameters.yaml
 delete mode 100644 vmdb/db/fixtures/ae_datastore/ManageIQ/Service/Provisioning/ServiceFilter.class/filterbydialogparameters.yaml
 delete mode 100644 vmdb/db/fixtures/ae_datastore/ManageIQ/System/Request.class/service_provision_info.yaml
 delete mode 100644 vmdb/spec/automation/unit/method_validation/filter_by_dialog_parameters_spec.rb
Comment 20 CFME Bot 2015-08-19 21:48:52 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/0a8f392325e00ff1d7d0d95040411437b4463487

commit 0a8f392325e00ff1d7d0d95040411437b4463487
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Tue Aug 18 15:05:38 2015 -0400
Commit:     Madhu Kanoor <mkanoor@redhat.com>
CommitDate: Tue Aug 18 15:05:38 2015 -0400

    PR Review based changes
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1227045

 app/models/service_template_filter.rb                            | 8 ++++----
 .../ServiceFilter.class/__methods__/filterbydialogparameters.rb  | 9 ---------
 .../unit/method_validation/filter_by_dialog_parameters_spec.rb   | 8 ++++----
 spec/models/service_template_filter_spec.rb                      | 2 +-
 spec/support/service_template_helper.rb                          | 2 +-
 5 files changed, 10 insertions(+), 19 deletions(-)
Comment 21 CFME Bot 2015-08-19 21:48:55 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/b820b8401c2dbf1d39e6ec47349e750a6fd79e95

commit b820b8401c2dbf1d39e6ec47349e750a6fd79e95
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Wed Aug 19 09:43:39 2015 -0400
Commit:     Madhu Kanoor <mkanoor@redhat.com>
CommitDate: Wed Aug 19 09:43:39 2015 -0400

    Moved file into service_template directory
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1227045

 app/models/service_template/filter.rb | 29 +++++++++++++++++++++++++++++
 app/models/service_template_filter.rb | 29 -----------------------------
 2 files changed, 29 insertions(+), 29 deletions(-)
 create mode 100644 app/models/service_template/filter.rb
 delete mode 100644 app/models/service_template_filter.rb
Comment 22 CFME Bot 2015-08-19 21:48:57 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/d2518a3b565a200e2907686220459a409fef62a6

commit d2518a3b565a200e2907686220459a409fef62a6
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Wed Aug 19 09:55:59 2015 -0400
Commit:     Madhu Kanoor <mkanoor@redhat.com>
CommitDate: Wed Aug 19 09:55:59 2015 -0400

    Changed to use include_concern
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1227045

 app/models/service_template.rb        | 2 +-
 app/models/service_template/filter.rb | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)
Comment 23 CFME Bot 2015-08-19 22:55:39 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/c0a928781577878a3b89549c4c68f58e5304472f

commit c0a928781577878a3b89549c4c68f58e5304472f
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Tue Jul 21 15:38:39 2015 -0400
Commit:     Madhu Kanoor <mkanoor@redhat.com>
CommitDate: Tue Jul 21 15:38:39 2015 -0400

    Moved the spec file to the spec/models directory
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1227045

 spec/models/service_template_filter_spec.rb      | 51 ++++++++++++++++++++++++
 vmdb/spec/models/service_template_filter_spec.rb | 51 ------------------------
 2 files changed, 51 insertions(+), 51 deletions(-)
 create mode 100644 spec/models/service_template_filter_spec.rb
 delete mode 100644 vmdb/spec/models/service_template_filter_spec.rb
Comment 24 CFME Bot 2015-08-19 22:55:42 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/a6dc83b694e100b11093ccb245caa143ebb4b029

commit a6dc83b694e100b11093ccb245caa143ebb4b029
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Tue Jul 21 16:34:15 2015 -0400
Commit:     Madhu Kanoor <mkanoor@redhat.com>
CommitDate: Tue Jul 21 16:34:15 2015 -0400

    Missing instance was in the incorrect namespace.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1227045

 .../Cloud/VM/Provisioning/Profile.class/_missing.yaml        | 12 ------------
 .../Service/Provisioning/Profile.class/_missing.yaml         |  4 +++-
 2 files changed, 3 insertions(+), 13 deletions(-)
 delete mode 100644 db/fixtures/ae_datastore/ManageIQ/Cloud/VM/Provisioning/Profile.class/_missing.yaml
Comment 25 CFME Bot 2015-08-19 22:55:45 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/1a9e5f68ce74a9a31b2a39e2a60e08d3f589ef83

commit 1a9e5f68ce74a9a31b2a39e2a60e08d3f589ef83
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Wed Jul 22 10:27:49 2015 -0400
Commit:     Madhu Kanoor <mkanoor@redhat.com>
CommitDate: Wed Jul 22 10:27:49 2015 -0400

    Moved files out of vmdb
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1227045

 .../ServiceFilter.class/__class__.yaml             | 33 +++++++++
 .../__methods__/filterbydialogparameters.rb        | 72 ++++++++++++++++++++
 .../__methods__/filterbydialogparameters.yaml      | 12 ++++
 .../filterbydialogparameters.yaml                  | 12 ++++
 .../Request.class/service_provision_info.yaml      | 12 ++++
 .../filter_by_dialog_parameters_spec.rb            | 79 ++++++++++++++++++++++
 .../ServiceFilter.class/__class__.yaml             | 33 ---------
 .../__methods__/filterbydialogparameters.rb        | 72 --------------------
 .../__methods__/filterbydialogparameters.yaml      | 12 ----
 .../filterbydialogparameters.yaml                  | 12 ----
 .../Request.class/service_provision_info.yaml      | 12 ----
 .../filter_by_dialog_parameters_spec.rb            | 79 ----------------------
 12 files changed, 220 insertions(+), 220 deletions(-)
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/Service/Provisioning/ServiceFilter.class/__class__.yaml
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/Service/Provisioning/ServiceFilter.class/__methods__/filterbydialogparameters.rb
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/Service/Provisioning/ServiceFilter.class/__methods__/filterbydialogparameters.yaml
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/Service/Provisioning/ServiceFilter.class/filterbydialogparameters.yaml
 create mode 100644 db/fixtures/ae_datastore/ManageIQ/System/Request.class/service_provision_info.yaml
 create mode 100644 spec/automation/unit/method_validation/filter_by_dialog_parameters_spec.rb
 delete mode 100644 vmdb/db/fixtures/ae_datastore/ManageIQ/Service/Provisioning/ServiceFilter.class/__class__.yaml
 delete mode 100644 vmdb/db/fixtures/ae_datastore/ManageIQ/Service/Provisioning/ServiceFilter.class/__methods__/filterbydialogparameters.rb
 delete mode 100644 vmdb/db/fixtures/ae_datastore/ManageIQ/Service/Provisioning/ServiceFilter.class/__methods__/filterbydialogparameters.yaml
 delete mode 100644 vmdb/db/fixtures/ae_datastore/ManageIQ/Service/Provisioning/ServiceFilter.class/filterbydialogparameters.yaml
 delete mode 100644 vmdb/db/fixtures/ae_datastore/ManageIQ/System/Request.class/service_provision_info.yaml
 delete mode 100644 vmdb/spec/automation/unit/method_validation/filter_by_dialog_parameters_spec.rb
Comment 26 CFME Bot 2015-08-19 22:55:48 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/0a8f392325e00ff1d7d0d95040411437b4463487

commit 0a8f392325e00ff1d7d0d95040411437b4463487
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Tue Aug 18 15:05:38 2015 -0400
Commit:     Madhu Kanoor <mkanoor@redhat.com>
CommitDate: Tue Aug 18 15:05:38 2015 -0400

    PR Review based changes
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1227045

 app/models/service_template_filter.rb                            | 8 ++++----
 .../ServiceFilter.class/__methods__/filterbydialogparameters.rb  | 9 ---------
 .../unit/method_validation/filter_by_dialog_parameters_spec.rb   | 8 ++++----
 spec/models/service_template_filter_spec.rb                      | 2 +-
 spec/support/service_template_helper.rb                          | 2 +-
 5 files changed, 10 insertions(+), 19 deletions(-)
Comment 27 CFME Bot 2015-08-19 22:55:51 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/b820b8401c2dbf1d39e6ec47349e750a6fd79e95

commit b820b8401c2dbf1d39e6ec47349e750a6fd79e95
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Wed Aug 19 09:43:39 2015 -0400
Commit:     Madhu Kanoor <mkanoor@redhat.com>
CommitDate: Wed Aug 19 09:43:39 2015 -0400

    Moved file into service_template directory
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1227045

 app/models/service_template/filter.rb | 29 +++++++++++++++++++++++++++++
 app/models/service_template_filter.rb | 29 -----------------------------
 2 files changed, 29 insertions(+), 29 deletions(-)
 create mode 100644 app/models/service_template/filter.rb
 delete mode 100644 app/models/service_template_filter.rb
Comment 28 CFME Bot 2015-08-19 22:55:54 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/d2518a3b565a200e2907686220459a409fef62a6

commit d2518a3b565a200e2907686220459a409fef62a6
Author:     Madhu Kanoor <mkanoor@redhat.com>
AuthorDate: Wed Aug 19 09:55:59 2015 -0400
Commit:     Madhu Kanoor <mkanoor@redhat.com>
CommitDate: Wed Aug 19 09:55:59 2015 -0400

    Changed to use include_concern
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1227045

 app/models/service_template.rb        | 2 +-
 app/models/service_template/filter.rb | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)
Comment 29 Milan Falešník 2015-11-09 04:29:49 EST
The links led me to the John's page, which is a bit dated [1], is it the right place where I can find the correct information on how to try out this functionality?

[1] http://cloudformsnow.com/2014/10/11/service-item-selection/
Comment 30 mkanoor 2015-11-10 11:00:55 EST
Johns web site shows the use case.
The talk link http://talk.manageiq.org/t/filtering-out-service-catalog-items-during-deployment/725 also discusses how the problem is being solved.

In order to test this you have to create a service with multiple items like Johns web site discusses.
During deployment time you can filter out one or more of these items using an automate method.

You will see a sample of this in the Automate Explorer by navigating to

ManageIQ/Service/Provisioning/Profile/.missing

By default we include all services, which is also the legacy behavior.
The method is also commented out if you check in the .missing instance
#/Service/Provisioning/ServiceFilter/FilterByDialogParameters

If someone wants to filter out the service items during deployment they would have to

(1) Create a new domain
(2) Copy out the .missing from ManageIQ/Service/Provisioning/Profile/ to the new domain.
(3) Set include_service = false instead of true since we are changing the default behavior
(4) Remove the comment for the method and add a new method.

The method has the following requirements

# Description: This sample method allows the customer to control which services
#        get processed. By default it allows all services to be included
#        from the bundle. If the user wants to do be selective about which
#        services from a bundle get installed, they can copy this method and
#        apply custom logic
#
# This example is for bundled services, which is composed of multiple catalog items.
# The root service is always included.

# In this example we match the 'dialog_environment' to match the service_template name
# for a service to be included.
#

# Input Parameters:
#    $evm.root['service_template']  contains the current Service Template Object being evaluated
#    $evm.root['service']     contains the parent service object, will be nil if
#           this is the first service
#      $evm.root['service_template_provision_task']
#
# Output : The evm.root should have an attribute called include_service which is
#    evaluated by the internal state machine to decide if the service gets
#    included or excluded
#
Comment 31 Milan Falešník 2015-11-11 12:26:01 EST
Verified in 5.5.0.10.
Comment 33 errata-xmlrpc 2015-12-08 08:14:49 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.